mbuchanon

Learn 9.1 2018 Q2  Server Upgrade Requirements

Discussion created by mbuchanon on May 1, 2018
Latest reply on May 1, 2018 by mbuchanon

Has anyone has a chance to look at Supported Technologies for Blackboard Learn 9.1 Q2 2018 Self-Hosted Systems | Blackboard Help

 

If you're self-hosted, you might be in for a bit of a shock.  I know I was.  Apparently, it's time to upgrade your OS (Windows and Solaris users) and Database (SQL Server) again!

 

Configuration notes

  • Windows environments must be upgraded to Windows Server 2016 and SQL Server 2017 for this release after upgrading the Learn application to 9.1 Q2 2018.
  • Sun Solaris 10 must be upgraded to Sun Solaris 11.
  • Red Hat Enterprise Linux – no change; RHEL 6 only supported with RHEL 7 support planned for an upcoming release.
  • Windows Server 2012 and SQL Server 2014 are supported for the purposes of running the upgrader. After all servers have been upgraded to Learn 9.1 Q2 2018, Windows environments must be upgraded in the following sequence prior initializing services in order to be in a supported configuration: 1. Windows Server 2016 and 2. SQL Server 2017.

 

If there was even an inkling of this before 2018 Q2 was released, doesn't it seem like something Blackboard should have been yelling from the rooftops?  Did I miss an announcement somewhere? 

 

This likely means that we won't be going to 2018 Q2 until later this year....probably just in time to have to update the underlying JDK again  

 

Never a dull moment!  Happy Tuesday all!

Outcomes